---
title: llarp/layers/onion/onion_path_info.hpp

---

# llarp/layers/onion/onion_path_info.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::layers](Namespaces/namespacellarp_1_1layers.md)**  |
| **[llarp::layers::onion](Namespaces/namespacellarp_1_1layers_1_1onion.md)**  |
| **[std](Namespaces/namespacestd.md)** <br>STL namespace.  |

## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::layers::onion::OnionPathInfo](Classes/structllarp_1_1layers_1_1onion_1_1OnionPathInfo.md)** <br>all informational data about a singular onion path we created.  |
| struct | **[std::hash< llarp::layers::onion::OnionPathInfo >](Classes/structstd_1_1hash_3_01llarp_1_1layers_1_1onion_1_1OnionPathInfo_01_4.md)**  |




## Source code

```cpp
#pragma once

#include <functional>

namespace llarp::layers::onion
{
  struct OnionPathInfo
  {
    bool
    ready_to_use() const;
  };
}  // namespace llarp::layers::onion

namespace std
{
  template <>
  struct hash<llarp::layers::onion::OnionPathInfo>
  {
    size_t
    operator()(const llarp::layers::onion::OnionPathInfo&) const
    {
      // TODO: implement me
      return size_t{};
    }
  };
}  // namespace std
```


-------------------------------

Updated on 2023-03-14 at 14:02:06 +0000
