---
title: llarp/layers/platform/ethertype.hpp

---

# llarp/layers/platform/ethertype.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::layers](Namespaces/namespacellarp_1_1layers.md)**  |
| **[llarp::layers::platform](Namespaces/namespacellarp_1_1layers_1_1platform.md)**  |




## Source code

```cpp
#pragma once

#include "llarp/util/formattable.hpp"
namespace llarp::layers::platform
{
  enum class EtherType_t
  {
    ip_unicast,
    plainquic,
    proto_auth
  };

  std::string
  ToString(EtherType_t kind);
}  // namespace llarp::layers::platform

namespace llarp
{
  template <>
  inline constexpr bool IsToStringFormattable<layers::platform::EtherType_t> = true;
}
```


-------------------------------

Updated on 2023-03-14 at 14:02:06 +0000
