---
title: llarp/layers/onion/onion_stats.hpp

---

# llarp/layers/onion/onion_stats.hpp



## Namespaces

| Name           |
| -------------- |
| **[llarp](Namespaces/namespacellarp.md)** <br>[crypto.hpp] |
| **[llarp::layers](Namespaces/namespacellarp_1_1layers.md)**  |
| **[llarp::layers::onion](Namespaces/namespacellarp_1_1layers_1_1onion.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::layers::onion::OnionStats](Classes/structllarp_1_1layers_1_1onion_1_1OnionStats.md)**  |




## Source code

```cpp
#pragma once

#include <unordered_set>
#include "onion_path_info.hpp"

namespace llarp::layers::onion
{
  struct OnionStats
  {
    std::unordered_set<OnionPathInfo> path;

    double path_success_ratio;

    bool allowing_transit;

    bool
    ready() const;

    std::unordered_set<OnionPathInfo>
    built_paths() const;
  };

}  // namespace llarp::layers::onion
```


-------------------------------

Updated on 2023-03-14 at 14:02:06 +0000
